The POS Payment Method object

Attributes

id string

Unique identifier for the object.

idx integer
pos_profile_id string required
default boolean

Default: false

mode_of_payment string required
allow_in_returns boolean

Default: false

The POS Payment Method object
{
  "id": "p-o-s-payment-method_abc123",
  "idx": 1,
  "pos_profile_id": "pos_profile_id_example",
  "default": false,
  "mode_of_payment": "mode_of_payment_example",
  "allow_in_returns": false
}
GET /api/accounts/p-o-s-payment-method?parent_id={id}

List pos payment methods by parent

Returns all pos payment methods belonging to the specified parent.

Query parameters

parent_id string required

The ID of the parent to list children for.

Returns

A list of pos payment method objects belonging to the parent.

GET /api/accounts/p-o-s-payment-method?parent_id={id}
curl https://api.overplane.dev/api/accounts/p-o-s-payment-method?parent_id=parent_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "p-o-s-payment-method_abc123",
      "idx": 1,
      "pos_profile_id": "pos_profile_id_example",
      "default": false,
      "mode_of_payment": "mode_of_payment_example",
      "allow_in_returns": false
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/accounts/p-o-s-payment-method

Create a pos payment method

Creates a new pos payment method object.

Body parameters

idx integer
pos_profile_id string required
default boolean

Default: false

mode_of_payment string required
allow_in_returns boolean

Default: false

Returns

Returns the newly created pos payment method object if the call succeeded.

POST /api/accounts/p-o-s-payment-method
curl https://api.overplane.dev/api/accounts/p-o-s-payment-method \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"pos_profile_id":"pos_profile_id_example","mode_of_payment":"mode_of_payment_example"}'
Response
{
  "id": "p-o-s-payment-method_abc123",
  "idx": 1,
  "pos_profile_id": "pos_profile_id_example",
  "default": false,
  "mode_of_payment": "mode_of_payment_example",
  "allow_in_returns": false
}
PATCH /api/accounts/p-o-s-payment-method/{id}

Update a pos payment method

Updates the specified pos payment method by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the pos payment method to update.

Body parameters

idx integer
pos_profile_id string
default boolean

Default: false

mode_of_payment string
allow_in_returns boolean

Default: false

Returns

Returns the updated pos payment method object.

PATCH /api/accounts/p-o-s-payment-method/{id}
curl https://api.overplane.dev/api/accounts/p-o-s-payment-method/p-o-s-payment-method_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"idx":1,"pos_profile_id":"pos_profile_id_example"}'
Response
{
  "id": "p-o-s-payment-method_abc123",
  "idx": 1,
  "pos_profile_id": "pos_profile_id_example",
  "default": false,
  "mode_of_payment": "mode_of_payment_example",
  "allow_in_returns": false
}
DELETE /api/accounts/p-o-s-payment-method/{id}

Delete a pos payment method

Permanently deletes a pos payment method. This cannot be undone.

Path parameters

id string required

The identifier of the pos payment method to delete.

Returns

Returns a confirmation that the pos payment method has been deleted.

DELETE /api/accounts/p-o-s-payment-method/{id}
curl https://api.overplane.dev/api/accounts/p-o-s-payment-method/p-o-s-payment-method_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "p-o-s-payment-method_abc123",
  "deleted": true
}
POST /api/accounts/p-o-s-payment-method/reorder

Reorder pos payment methods

Updates the sort order of pos payment methods within their parent by setting new index values.

Returns

Returns the reordered list.

POST /api/accounts/p-o-s-payment-method/reorder
curl https://api.overplane.dev/api/accounts/p-o-s-payment-method/reorder \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "p-o-s-payment-method_abc123",
  "idx": 1,
  "pos_profile_id": "pos_profile_id_example",
  "default": false,
  "mode_of_payment": "mode_of_payment_example",
  "allow_in_returns": false
}